From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1220380-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id B1040138359
	for <garchives@archives.gentoo.org>; Sat,  7 Nov 2020 11:09:49 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id EE1F2E07B3;
	Sat,  7 Nov 2020 11:09:48 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id D0D23E07B3
	for <gentoo-commits@lists.gentoo.org>; Sat,  7 Nov 2020 11:09:48 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 20BE1335DE6
	for <gentoo-commits@lists.gentoo.org>; Sat,  7 Nov 2020 11:09:47 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 891143BE
	for <gentoo-commits@lists.gentoo.org>; Sat,  7 Nov 2020 11:09:45 +0000 (UTC)
From: "Samuel Bernardo" <samuelbernardo.mail@gmail.com>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Samuel Bernardo" <samuelbernardo.mail@gmail.com>
Message-ID: <1604747371.a5a96c375906ca3ab4cdfee37fc3190baf91248b.samuelbernardo@gentoo>
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-misc/megasync/
X-VCS-Repository: repo/proj/guru
X-VCS-Files: net-misc/megasync/megasync-4.3.5.ebuild
X-VCS-Directories: net-misc/megasync/
X-VCS-Committer: samuelbernardo
X-VCS-Committer-Name: Samuel Bernardo
X-VCS-Revision: a5a96c375906ca3ab4cdfee37fc3190baf91248b
X-VCS-Branch: dev
Date: Sat,  7 Nov 2020 11:09:45 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 309a8dda-f485-4796-9121-73dc39ba15e0
X-Archives-Hash: 298a31652e7315999cf747f0948aeda6

commit:     a5a96c375906ca3ab4cdfee37fc3190baf91248b
Author:     Samuel Bernardo <samuelbernardo.mail <AT> gmail <DOT> com>
AuthorDate: Sat Nov  7 11:09:31 2020 +0000
Commit:     Samuel Bernardo <samuelbernardo.mail <AT> gmail <DOT> com>
CommitDate: Sat Nov  7 11:09:31 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a5a96c37

net-misc/megasync: update to 4.3.5

Update to latest version

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Samuel Bernardo <samuelbernardo.mail <AT> gmail.com>

 net-misc/megasync/megasync-4.3.5.ebuild | 134 ++++++++++++++++++++++++++++++++
 1 file changed, 134 insertions(+)

diff --git a/net-misc/megasync/megasync-4.3.5.ebuild b/net-misc/megasync/megasync-4.3.5.ebuild
new file mode 100644
index 00000000..aa7d2f2d
--- /dev/null
+++ b/net-misc/megasync/megasync-4.3.5.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=7
+
+inherit eutils multilib qmake-utils autotools git-r3 desktop cmake-multilib
+
+DESCRIPTION="A Qt-based program for syncing your MEGA account in your PC. This is the official app."
+HOMEPAGE="http://mega.co.nz"
+RTAG="_Linux"
+if [[ ${PV} == *9999* ]];then
+	EGIT_REPO_URI="https://github.com/meganz/MEGAsync"
+	KEYWORDS=""
+	EGIT_SUBMODULES=( '*' )
+else
+	EGIT_REPO_URI="https://github.com/meganz/MEGAsync"
+	EGIT_COMMIT="v${PV}.0${RTAG}"
+	EGIT_SUBMODULES=( '*' )
+	KEYWORDS="~x86 ~amd64"
+fi
+
+LICENSE="MEGA"
+SLOT="0"
+IUSE="dolphin nautilus thunar +cryptopp +sqlite +zlib +curl freeimage readline examples threads java php python gnome"
+
+DEPEND="
+	dev-lang/swig
+	app-doc/doxygen
+	media-libs/libmediainfo
+	media-libs/libraw
+	dev-qt/qtcore:5
+	dev-qt/linguist-tools
+	dev-qt/qtwidgets:5
+	dev-qt/qtgui:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtdbus:5
+	dev-qt/qtimageformats:5
+	dev-qt/qtsvg:5"
+RDEPEND="${DEPEND}
+	x11-themes/hicolor-icon-theme
+	dev-libs/openssl
+	dev-libs/libgcrypt
+	media-libs/libpng
+	net-dns/c-ares
+	cryptopp? ( dev-libs/crypto++ )
+	app-arch/xz-utils
+	dev-libs/libuv
+	sqlite? ( dev-db/sqlite:3 )
+	dev-libs/libsodium
+	zlib? ( sys-libs/zlib )
+	curl? ( net-misc/curl[ssl,curl_ssl_openssl] )
+	freeimage? ( media-libs/freeimage )
+	readline? ( sys-libs/readline:0 )
+	dolphin? ( kde-apps/dolphin )
+	nautilus? ( >=gnome-base/nautilus-3 )
+	thunar? ( xfce-base/thunar )
+	"
+
+PATCHES=( )
+
+if [[ ${PV} != *9999* ]];then
+	src_prepare(){
+		if [ -e "${FILESDIR}/MEGAsync-${PV}.0_Linux.patch" ]; then
+			EPATCH_OPTS="-p0" epatch "${FILESDIR}/MEGAsync-${PV}.0_Linux.patch"
+		fi
+		if [ ! -z ${PATCHES} ]; then
+			epatch ${PATCHES}
+		fi
+		if use gnome; then
+			if [ -e "${FILESDIR}${P}-gnome.patch" ]; then
+				epatch "${FILESDIR}/${P}-gnome.patch"
+			fi
+		fi
+		eapply_user
+		cd src/MEGASync/mega
+		eautoreconf
+	}
+fi
+
+src_configure(){
+	cd "${S}"/src/MEGASync/mega
+	econf \
+		"--disable-silent-rules" \
+		"--disable-curl-checks" \
+		"--disable-megaapi" \
+		$(use_with zlib) \
+		$(use_with sqlite) \
+		$(use_with cryptopp) \
+		"--with-cares" \
+		$(use_with curl) \
+		"--without-termcap" \
+		$(use_enable threads posix-threads) \
+		"--with-sodium" \
+		$(use_with freeimage) \
+		$(use_with readline) \
+		$(use_enable examples) \
+		$(use_enable java) \
+		$(use_enable php) \
+		$(use_enable python) \
+		"--enable-chat" \
+		"--enable-gcc-hardening" 
+	cd ../..
+	local myeqmakeargs=(
+		MEGA.pro
+		CONFIG+="release"
+	)
+	eqmake5 ${myeqmakeargs[@]}
+	use dolphin && cmake-utils_src_configure
+	$(qt5_get_bindir)/lrelease MEGASync/MEGASync.pro
+}
+
+src_compile(){
+	emake -C src INSTALL_ROOT="${D}" || die
+	use dolphin && cmake-utils_src_compile
+}
+
+src_install(){
+	use dolphin && cmake-utils_src_install
+	local DOCS=( CREDITS.md README.md )
+	einstalldocs
+	insinto usr/share/licenses/${PN}
+	doins LICENCE.md installer/terms.txt
+	cd src/MEGASync
+	dobin ${PN}
+	cd platform/linux/data
+	insinto usr/share/applications
+	doins ${PN}.desktop
+	cd icons/hicolor
+	for size in 16x16 32x32 48x48 128x128 256x256;do
+		doicon -s $size $size/apps/mega.png
+	done
+}